Subject: types of objects slots

From: [email-masked] (Dan Stanger)
Date: Fri, 23 Jun 1995 16:33:34 -0600

one of my needs is to be able to retrieve the type of a objects slots.
in my case, the slots are either fixnums or strings, so i created my
object with a initform for each slot and specified either 0 or ""
if i wanted a fixnum or string respectivly.
my question is:  1 are there other workarounds that might be better?
2 where would i change clisp to save the types of classes?

---

From: Don Cohen <[email-masked]>
Date: Sat, 01 Jul 95 18:17:40 PDT

Looking at clos.lsp, I see that (clos::class-direct-slots <class>)
returns a list of slot specs, and if :type was specified for a slot
it's slot spec (a list) contains (:name <slotname> ... :type <type> ...)